Bug 51924 - src rpm will not build
Summary: src rpm will not build
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdemultimedia   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 22:27 UTC by Chris Ricker
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-18 11:31:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2001-08-16 22:27:53 UTC
artsmidi.h is missing.  Presumably it should either be self-hosted, or else
supplied by kdelibs-sound-devel or arts-devel or some similar package?

c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include/kde
-I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include -I/usr/include/kde/arts
-I../../libltdl -O2 -O2 -march=i686 -DNDEBUG -fno-check-new -fno-exceptions
-fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST
-Wp,-MD,.deps/BrahmsMidiRecorder.pp -c BrahmsMidiRecorder.cpp  -fPIC -DPIC
-o .libs/BrahmsMidiRecorder.o
In file included from BrahmsMidiRecorder.cpp:4:
BrahmsArts.h:9:22: artsmidi.h: No such file or directory

trying with kdemultimedia-2.2-3

Comment 1 Glen Foster 2001-08-17 19:17:17 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Bernhard Rosenkraenzer 2001-08-18 11:31:18 UTC
Argh, circular dependency. You need to install kdemultimedia-devel to build 
kdemultimedia. I'll fix it in the next version, but until then, rpm -i 
kdemultimedia-devel-* should do the trick.


Comment 3 Bernhard Rosenkraenzer 2001-08-23 16:03:14 UTC
2.2-4 rebuild without a previously installed kdemultimedia-devel.



Note You need to log in before you can comment on or make changes to this bug.